@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;500;700&display=swap");

:root {
    --main: #ffa500;
    --color: #c0c0c0;
    --background: #101010;
    --green: #43b581;
    --red: #f04747;
    --yellow: #faa61a;
    --blue: #00a9ff;
    --grey: #636b75;
    --lvlup: #1c1e26;
}

body {
    margin: 0;
    font: 15px "Ubuntu", system-ui;
    background: var(--background);
    color: var(--color);
}

::-webkit-input-placeholder {
  color: var(--color);
}

[copyright] {
    margin-top: -15px;
    text-align: center;
}

/* Offline Notification */

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1000;
}

.offline-message {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: white;
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
}

.offline-message img {
    width: 50px;
    height: 50px;
}

.text-and-button {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.offline-message button {
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
    border-radius: 12px;
}

.offline-message button:hover {
    background-color: white;
    color: black;
    border: 1px solid #4CAF50;
}

.page-content {
    padding: 20px;
}

.disabled-link {
    pointer-events: none; /* Prevent clicking */
    color: gray;
    text-decoration: none;
}

